Package: org.codehaus.groovy.reflection

## [Java] Class GeneratedMetaMethod.Proxy

- org.codehaus.groovy.reflection.GeneratedMetaMethod.Proxy

-     public static class GeneratedMetaMethod.Proxy
      extends GeneratedMetaMethod

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethod` | `EMPTY_ARRAY`
    `class ParameterTypes` | `isVargsMethod, nativeParamTypes, parameterTypes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Proxy (String className, String name, CachedClass declaringClass, Class returnType, Class[] parameters)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `doMethodInvoke(Object object, Object[] argumentArray)`
    `` | `public Object` | `invoke(Object object, Object[] arguments)`
    `` | `public boolean` | `isValidMethod(Class[] arguments)`
    `` | `public final MetaMethod` | `proxy()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GeneratedMetaMethod` | `getDeclaringClass, getModifiers, getName, getReturnType`
    `class MetaMethod` | `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`
    `class ParameterTypes` | `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

- - ### Constructor Detail

    - #### public Proxy(String className, String name, CachedClass declaringClass, Class returnType, Class[] parameters)

  - ### Method Detail

    - #### @Override public Object doMethodInvoke(Object object, Object[] argumentArray)

    - #### public Object invoke(Object object, Object[] arguments)

    - #### @Override public boolean isValidMethod(Class[] arguments)

    - #### public final MetaMethod proxy()